Bug 1209862 - Installing dnf-plugins-extras causes errors about /var/lib/dnf/plugins/local
Summary: Installing dnf-plugins-extras causes errors about /var/lib/dnf/plugins/local
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
: 1236745 1236747 1357943 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-08 11:19 UTC by Tom Hughes
Modified: 2017-04-19 15:06 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-19 15:06:51 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1219283 None CLOSED temporary unavailability of fedora servers 2019-01-18 15:33 UTC

Internal Trackers: 1219283

Description Tom Hughes 2015-04-08 11:19:13 UTC
After installing dnf-plugins-extras most dnf commands complain with:

Failed to synchronize cache for repo '_local' from 'file:///var/lib/dnf/plugins/local': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.

Apparently python-dnf-plugins-extras-local configures a (hidden and not mentioned in /etc/yum.repos.d) repository based on the non-existent /var/lib/dnf/plugins/local directory.

This is with dnf-plugins-extras 0.0.6-2.fc22.

Comment 1 Radek Holy 2015-06-30 06:56:50 UTC
*** Bug 1236745 has been marked as a duplicate of this bug. ***

Comment 2 Igor Gnatenko 2015-06-30 16:44:11 UTC
Probably in this case I should do in post script `/usr/bin/createrepo_c /var/lib/dnf/plugins/local`.

Radek, what do you think?

Comment 3 Radek Holy 2015-07-01 08:31:19 UTC
Maybe, or create the repository once the plugin finds out that it does not exist (do I understand correctly that this is what yum-plugin-local does?), or don't add the repository if it does not exist. I'm not sure what is the best solution.

Comment 4 Fedora End Of Life 2016-07-19 13:40:07 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Igor Gnatenko 2016-11-30 10:57:13 UTC
*** Bug 1357943 has been marked as a duplicate of this bug. ***

Comment 6 Igor Gnatenko 2016-11-30 10:57:26 UTC
*** Bug 1236747 has been marked as a duplicate of this bug. ***

Comment 7 Fedora End Of Life 2017-02-28 09:42:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 8 Jaroslav Mracek 2017-04-19 15:06:51 UTC
I added a commit https://github.com/rpm-software-management/dnf-plugins-extras/commit/c20ca34df9ebca8714c7d347db98db392ffe9dc0 that should help. The patch will be released in dnf-plugins-core-2.0.0 probably next week into rawhide and fc26. But at the present time it can be tested from out test repository: "dnf copr enable rpmsoftwaremanagement/dnf-nightly"


Note You need to log in before you can comment on or make changes to this bug.